org.eclipse.jgit.api

## Enum CherryPickResult.CherryPickStatus

- java.lang.Object
- - java.lang.Enum<CherryPickResult.CherryPickStatus>
  - - org.eclipse.jgit.api.CherryPickResult.CherryPickStatus

All Implemented Interfaces:
  Serializable, Comparable<CherryPickResult.CherryPickStatus>

Enclosing class:
  CherryPickResult

    public static enum CherryPickResult.CherryPickStatus
    extends Enum<CherryPickResult.CherryPickStatus>

The cherry-pick status

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CONFLICTING`
`FAILED`
`OK`

### Method Summary

Methods
`static CherryPickResult.CherryPickStatus` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static CherryPickResult.CherryPickStatus[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### OK

    public static final CherryPickResult.CherryPickStatus OK

#### FAILED

    public static final CherryPickResult.CherryPickStatus FAILED

#### CONFLICTING

    public static final CherryPickResult.CherryPickStatus CONFLICTING

### Method Detail

#### values

    public static CherryPickResult.CherryPickStatus[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (CherryPickResult.CherryPickStatus c : CherryPickResult.CherryPickStatus.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static CherryPickResult.CherryPickStatus valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null